com.sun.messaging

## Class XAConnectionFactory

- java.lang.Object
- - com.sun.messaging.AdministeredObject
  - - com.sun.messaging.BasicConnectionFactory
    - - com.sun.messaging.ConnectionFactory
      - - com.sun.messaging.XAConnectionFactory

All Implemented Interfaces:
  java.io.Serializable, ConnectionFactory, XAConnectionFactory, javax.naming.Referenceable

Direct Known Subclasses:
  XAQueueConnectionFactory, XATopicConnectionFactory

    public class XAConnectionFactory
    extends ConnectionFactory
    implements XAConnectionFactory

An `XAConnectionFactory` is used to create XAConnections with the Sun MQ Java Message Service (JMS) provider.

See Also:
  `javax.jms.XAConnectionFactory`, Serialized Form

### Field Summary

### Fields inherited from class com.sun.messaging.AdministeredObject

`AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, cachedConfigurationMap, configuration, configurationLabels, configurationTypes, cr, storedVersion, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`XAConnectionFactory()`

### Method Summary

Methods
`XAConnection` `createXAConnection()` Create an XA connection with default user identity.
`XAConnection` `createXAConnection(java.lang.String username, java.lang.String password)` Create an XA connection with specified user identity.
`XAQueueConnection` `createXAQueueConnection()` Create an XA queue connection with default user identity.
`XAQueueConnection` `createXAQueueConnection(java.lang.String username, java.lang.String password)` Create an XA queue connection with specific user identity.
`XATopicConnection` `createXATopicConnection()` Create an XA topic connection with default user identity.
`XATopicConnection` `createXATopicConnection(java.lang.String username, java.lang.String password)` Create an XA topic connection with specified user identity.

### Methods inherited from class com.sun.messaging.ConnectionFactory

`createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, getReference`

### Methods inherited from class com.sun.messaging.BasicConnectionFactory

`createConnection, createConnection, getConnectionType, setConnectionType, setDefaultConfiguration, toString`

### Methods inherited from class com.sun.messaging.AdministeredObject

`dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XAConnectionFactory

    public XAConnectionFactory()

### Method Detail

#### createXAConnection

    public XAConnection createXAConnection()
                                    throws JMSException

Create an XA connection with default user identity. The connection is created in stopped mode. No messages will be delivered until `Connection.start` method is explicitly called.

Specified by:
  `createXAConnection` in interface `XAConnectionFactory`
Returns:
  a newly created XA connection.
Throws:
  `JMSException` - if JMS Provider fails to create XA Connection due to some internal error.
  `JMSSecurityException` - if client authentication fails due to invalid user name or password.

#### createXAConnection

    public XAConnection createXAConnection(java.lang.String username,
                                  java.lang.String password)
                                    throws JMSException

Create an XA connection with specified user identity. The connection is created in stopped mode. No messages will be delivered until `Connection.start` method is explicitly called.

Specified by:
  `createXAConnection` in interface `XAConnectionFactory`
Parameters:
  `username` - the caller's user name
  `password` - the caller's password
Returns:
  a newly created XA connection.
Throws:
  `JMSException` - if JMS Provider fails to create XA connection due to some internal error.
  `JMSSecurityException` - if client authentication fails due to invalid user name or password.

#### createXAQueueConnection

    public XAQueueConnection createXAQueueConnection()
                                              throws JMSException

Create an XA queue connection with default user identity. The connection is created in stopped mode. No messages will be delivered until `Connection.start` method is explicitly called.

Returns:
  a newly created XA queue connection.
Throws:
  `JMSException` - if JMS Provider fails to create XA queue Connection due to some internal error.
  `JMSSecurityException` - if client authentication fails due to invalid user name or password.

#### createXAQueueConnection

    public XAQueueConnection createXAQueueConnection(java.lang.String username,
                                            java.lang.String password)
                                              throws JMSException

Create an XA queue connection with specific user identity. The connection is created in stopped mode. No messages will be delivered until `Connection.start` method is explicitly called.

Parameters:
  `username` - the caller's user name
  `password` - the caller's password
Returns:
  a newly created XA queue connection.
Throws:
  `JMSException` - if JMS Provider fails to create XA queue Connection due to some internal error.
  `JMSSecurityException` - if client authentication fails due to invalid user name or password.

#### createXATopicConnection

    public XATopicConnection createXATopicConnection()
                                              throws JMSException

Create an XA topic connection with default user identity. The connection is created in stopped mode. No messages will be delivered until `Connection.start` method is explicitly called.

Returns:
  a newly created XA topic connection.
Throws:
  `JMSException` - if JMS Provider fails to create XA topic Connection due to some internal error.
  `JMSSecurityException` - if client authentication fails due to invalid user name or password.

#### createXATopicConnection

    public XATopicConnection createXATopicConnection(java.lang.String username,
                                            java.lang.String password)
                                              throws JMSException

Create an XA topic connection with specified user identity. The connection is created in stopped mode. No messages will be delivered until `Connection.start` method is explicitly called.

Parameters:
  `username` - the caller's user name
  `password` - the caller's password
Returns:
  a newly created XA topic connection.
Throws:
  `JMSException` - if JMS Provider fails to create XA topi connection due to some internal error.
  `JMSSecurityException` - if client authentication fails due to invalid user name or password.